Viewers
Get a viewer's memory
Authorization
api_token API token provided by BOLD Admin
In: header
Path Parameters
Viewer UUID
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://app.boldvideo.io/api/v1/viewers/string/memory"{
"data": {
"content": "Situation & goals:\n- Runs a 3-person agency scaling to $1M ARR.",
"conversations_count": 4,
"enabled": true,
"last_conversation_at": "2019-08-24T14:15:22Z",
"last_distilled_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}Update a viewer's memory settings
Authorization
api_token API token provided by BOLD Admin
In: header
Path Parameters
Viewer UUID
Request Body
application/json
Memory settings
Memory settings to update.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://app.boldvideo.io/api/v1/viewers/string/memory" \ -H "Content-Type: application/json" \ -d '{ "memory": { "enabled": false } }'{
"data": {
"content": "Situation & goals:\n- Runs a 3-person agency scaling to $1M ARR.",
"conversations_count": 4,
"enabled": true,
"last_conversation_at": "2019-08-24T14:15:22Z",
"last_distilled_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}Clear a viewer's memory
Authorization
api_token API token provided by BOLD Admin
In: header
Path Parameters
Viewer UUID
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://app.boldvideo.io/api/v1/viewers/string/memory"{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}Look up a viewer
Authorization
api_token API token provided by BOLD Admin
In: header
Query Parameters
External ID from course platform
Viewer email
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://app.boldvideo.io/api/v1/viewers/lookup"{
"data": {
"avatar_url": "https://example.com/avatars/john.jpg",
"computed_display_name": "John Doe",
"created_at": "2019-08-24T14:15:22Z",
"display_name": "Johnny D",
"email": "john@example.com",
"external_id": "usr_123abc",
"first_name": "John",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_admin": false,
"last_name": "Doe",
"name": "John Doe",
"traits": {
"business_name": "Acme Corp",
"stage": "growth"
},
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}List viewers (paginated)
Authorization
api_token API token provided by BOLD Admin
In: header
Query Parameters
Page number (default: 1)
Items per page (default: 20)
Response Body
application/json
application/json
application/json
curl -X GET "https://app.boldvideo.io/api/v1/viewers?page=1&page_size=20"{
"data": [
{
"avatar_url": "https://example.com/avatars/john.jpg",
"computed_display_name": "John Doe",
"created_at": "2019-08-24T14:15:22Z",
"display_name": "Johnny D",
"email": "john@example.com",
"external_id": "usr_123abc",
"first_name": "John",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_admin": false,
"last_name": "Doe",
"name": "John Doe",
"traits": {
"business_name": "Acme Corp",
"stage": "growth"
},
"updated_at": "2019-08-24T14:15:22Z"
}
],
"meta": {
"page": 1,
"page_size": 20,
"total_entries": 47,
"total_pages": 3
}
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}Create a viewer
Authorization
api_token API token provided by BOLD Admin
In: header
Request Body
application/json
Viewer parameters
URL to avatar image
uriPreferred display name
Viewer email
emailExternal ID from course platform
First name
Last name
Viewer name
Custom traits map
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.boldvideo.io/api/v1/viewers" \ -H "Content-Type: application/json" \ -d '{ "name": "John Doe" }'{
"data": {
"avatar_url": "https://example.com/avatars/john.jpg",
"computed_display_name": "John Doe",
"created_at": "2019-08-24T14:15:22Z",
"display_name": "Johnny D",
"email": "john@example.com",
"external_id": "usr_123abc",
"first_name": "John",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_admin": false,
"last_name": "Doe",
"name": "John Doe",
"traits": {
"business_name": "Acme Corp",
"stage": "growth"
},
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}Get a viewer
Authorization
api_token API token provided by BOLD Admin
In: header
Path Parameters
Viewer UUID
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://app.boldvideo.io/api/v1/viewers/string"{
"data": {
"avatar_url": "https://example.com/avatars/john.jpg",
"computed_display_name": "John Doe",
"created_at": "2019-08-24T14:15:22Z",
"display_name": "Johnny D",
"email": "john@example.com",
"external_id": "usr_123abc",
"first_name": "John",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_admin": false,
"last_name": "Doe",
"name": "John Doe",
"traits": {
"business_name": "Acme Corp",
"stage": "growth"
},
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}Update a viewer
Authorization
api_token API token provided by BOLD Admin
In: header
Path Parameters
Viewer UUID
Request Body
application/json
Viewer parameters
URL to avatar image
uriPreferred display name
Viewer email
emailExternal ID from course platform
First name
Last name
Viewer name
Custom traits map
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://app.boldvideo.io/api/v1/viewers/string" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"avatar_url": "https://example.com/avatars/john.jpg",
"computed_display_name": "John Doe",
"created_at": "2019-08-24T14:15:22Z",
"display_name": "Johnny D",
"email": "john@example.com",
"external_id": "usr_123abc",
"first_name": "John",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_admin": false,
"last_name": "Doe",
"name": "John Doe",
"traits": {
"business_name": "Acme Corp",
"stage": "growth"
},
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}Delete a viewer
Authorization
api_token API token provided by BOLD Admin
In: header
Path Parameters
Viewer UUID
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://app.boldvideo.io/api/v1/viewers/string"{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}Update a viewer
Authorization
api_token API token provided by BOLD Admin
In: header
Path Parameters
Viewer UUID
Request Body
application/json
Viewer parameters
URL to avatar image
uriPreferred display name
Viewer email
emailExternal ID from course platform
First name
Last name
Viewer name
Custom traits map
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://app.boldvideo.io/api/v1/viewers/string" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"avatar_url": "https://example.com/avatars/john.jpg",
"computed_display_name": "John Doe",
"created_at": "2019-08-24T14:15:22Z",
"display_name": "Johnny D",
"email": "john@example.com",
"external_id": "usr_123abc",
"first_name": "John",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_admin": false,
"last_name": "Doe",
"name": "John Doe",
"traits": {
"business_name": "Acme Corp",
"stage": "growth"
},
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}